List Order Messages
Gets the messages associated with an order.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
ID of the order.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
min_id
The minimum order ID.
max_id
The maximum order ID.
customer_id
Customer ID.
min_date_created
Minimum date the order was created in RFC-2822 or ISO-8601.
RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400
ISO-8601: 2017-04-20T11:32:00.000-04:00
max_date_created
Maximum date the order was created in RFC-2822 or ISO-8601.
RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400
ISO-8601: 2017-04-20T11:32:00.000-04:00
is_flagged
Whether the message is flagged.
status
Status of the order message.
Allowed values:
page
The page to return in the response.
limit
Number of results to return.
Response
A list of order messages.
id
order_id
staff_id
customer_id
type
subject
message
status
is_flagged
date_created
customer